#ifndef GESTIONNAIRE_DE_VERROU_H
#define GESTIONNAIRE_DE_VERROU_H
#include <windows.h> // HANDLE
class Mutex;
class GestionnaireDeVerrou
{
   static GestionnaireDeVerrou Singleton;
   GestionnaireDeVerrou();
   GestionnaireDeVerrou & operator= (const GestionnaireDeVerrou &) const;
   long m_CptVerrou;
   Mutex *m_Mutex;
   HANDLE m_FinContexte;
public:
   static GestionnaireDeVerrou *GetInstance () { return &Singleton; }
   void Incrementer();
   void Decrementer();
   bool EstVide() const;
  ~GestionnaireDeVerrou();
  void AttendreLaFin ();
};
#endif
