#ifndef IUNKNOWN_IMPL
#define IUNKNOWN_IMPL
#include <unknwn.h>
#include <GestionnaireDeVerrou.h>
class IUnknownImpl : public virtual IUnknown
{
public:
   IUnknownImpl () : m_CptRef (1)
   {
      GestionnaireDeVerrou::GetInstance()->Incrementer ();
   }
   virtual ~IUnknownImpl ()
   {
      GestionnaireDeVerrou::GetInstance()->Decrementer ();
   }
   unsigned long __stdcall AddRef ()
   {
      return ++m_CptRef;
   }
   unsigned long __stdcall Release ()
   {
      if (--m_CptRef != 0)
         return m_CptRef;
      delete this;
      return 0;
   }
private:
   unsigned long m_CptRef;
};
#endif // !defined IUNKNOWN_IMPL
