// Fichier ConversionChaines.cpp

#include <ConversionChaines.h>
#include <string>
#include <algorithm>

// Petite fonction qui cre une chane de caractres
// 16 bits  partir d'une chane de caractres ASCIIZ
// huit bits traditionnelle

wchar_t c2wc (const char src)
{
   return static_cast <wchar_t> (src);
}

std::wstring StringToWString (const std::string &Src)
{
   std::wstring ws;
   for (unsigned int i = 0; i < Src.length (); i++)
      ws += c2wc (Src[i]);
   return ws;
}

// Petite fonction qui cre une chane de caractres
// ASCIIZ huit bits traditionnelle  partir d'une
// chane de caractres 16 bits

char wc2c (const wchar_t src)
{
   return static_cast <char> (src);
}

std::string WStringToString (const std::wstring &Src)
{
   std::string s;
   for (unsigned int i = 0; i < Src.length (); i++)
      s += wc2c (Src[i]);
   return s;
}

// Retourne la version majuscule du texte en paramtre
std::string Majuscules (const std::string &Texte)
{
   std::string Resultat;
   Resultat.resize (Texte.length ());
   std::transform (Texte.begin (), Texte.end (), Resultat.begin (), toupper);
   return Resultat;
}
