#include "GenerateurNombresAleatoires.h"
#include <ctime> // time()
#include <cstdlib> // srand(), rand(), abs()

GenerateurNombresAleatoires GenerateurNombresAleatoires::m_Instance;

GenerateurNombresAleatoires::GenerateurNombresAleatoires()
{
   srand (static_cast<unsigned int>(time (0)));
}

GenerateurNombresAleatoires::~GenerateurNombresAleatoires() { }

int GenerateurNombresAleatoires::GetNombre () const
{
   return rand ();
}

int GenerateurNombresAleatoires::GetNombre (const int BorneMin, const int BorneMax) const throw(BornesInvalides)
{
   if (BorneMax < BorneMin) throw BornesInvalides();
   const int Plage = abs(BorneMax - BorneMin);
   return BorneMin + GetNombre () % Plage;
}
