#include "ComposantDeRappel.h"
#include <iostream> // std::cout, std:endl

HRESULT __stdcall ComposantDeRappel::QueryInterface (REFIID riid, void **ppv)
{
   if (riid == IID_IUnknown)
      *ppv = static_cast<IUnknown *> (static_cast<ITempsQuiPasse *> (this));
   else if (riid == IID_ITempsQuiPasse)
      *ppv = static_cast<ITempsQuiPasse *> (this);
   else
   {
      *ppv = 0;
      return E_NOINTERFACE;
   }
   AddRef ();
   return S_OK;
}

HRESULT __stdcall ComposantDeRappel::Tick (int UniteDeTemps, int Etape)
{
   std::cout << "Tic! Unites de temps: " << UniteDeTemps
             << ", Etape: " << Etape << std::endl;
   return S_OK;
}
