#ifndef COMPOSANTDERAPPEL_H
#define COMPOSANTDERAPPEL_H

#include <windows.h>
#include "../Commun/CompterTemps_h.h" // ITempsQuiPasse
#include <IUnknownImpl.h> // IUnknownImpl

class ComposantDeRappel : public virtual IUnknownImpl,
                          public virtual ITempsQuiPasse
{
public:
   unsigned long __stdcall AddRef () { return IUnknownImpl::AddRef (); }
   unsigned long __stdcall Release () { return IUnknownImpl::Release (); }
   HRESULT __stdcall QueryInterface (REFIID riid, void **ppv);
   HRESULT __stdcall Tick (int UniteDeTemps, int Etape);
   ComposantDeRappel () : IUnknownImpl (), ITempsQuiPasse () { }
   virtual ~ComposantDeRappel () {}
};

#endif // !defined COMPOSANTDERAPPEL_H
