// IClassFactoryImpl.h

#ifndef ICLASSFACTORYIMPL_H
#define ICLASSFACTORYIMPL_H

#include <unknwn.h>

class IClassFactoryImpl : public IClassFactory
{
public:
   // Pour IUnknown
   unsigned long __stdcall AddRef () { return ++m_CptRef; }
   unsigned long __stdcall Release ()
   {
      if (--m_CptRef != 0)
         return m_CptRef;
      delete this;
      return 0L;
   }
   HRESULT __stdcall LockServer (BOOL Verrou);
   // constructeur et destructeur 
   IClassFactoryImpl () : IClassFactory (), m_CptRef (1)  { }
   virtual ~IClassFactoryImpl () { }
private:
   // Compteur de rfrences (interne  l'objet)
   unsigned long m_CptRef;
};

#endif // !defined ICLASSFACTORYIMPL_H