#define _WIN32_DCOM

#include <ChargeurCOM.h>
#include <windows.h>

ChargeurCOM::ChargeurCOM(const ModeDemarrage & m ) throw(ModeDemarrageInvalide)
{
   switch (m)
   {
   case ApartmentThreaded:
      if (FAILED (::CoInitializeEx(0, COINIT_APARTMENTTHREADED))) exit (-1);
      break;
   case MultiThreaded:
      if (FAILED (::CoInitializeEx(0, COINIT_MULTITHREADED))) exit (-1);
      break;
   default:
      throw ModeDemarrageInvalide();
   }
}

ChargeurCOM::~ChargeurCOM()
{
   ::CoUninitialize();
}
